﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfSchedule_CalendarEdit
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ScheduleAppointmentCollection m_Source = new ScheduleAppointmentCollection();
        public ScheduleAppointmentCollection Source
        {
            get { return m_Source; }
            set { m_Source = value; }
        }
        public MainWindow()
        {
            InitializeComponent();

            calendar.DateChanged += Calendar_DateChanged;
            Source = new ScheduleAppointmentCollection
            {
                new CustomAppointment{Appointment_ID="1",Name="Jhon",AppointmentStartTime=DateTime.Now.AddHours(1),AppointmentEndTime=DateTime.Now.AddHours(2)},
                new CustomAppointment{Appointment_ID="2",Name="Peter",AppointmentStartTime=DateTime.Now.AddDays(28).AddHours(1),AppointmentEndTime=DateTime.Now.AddDays(28).AddHours(2)},
                new CustomAppointment{Appointment_ID="3",Name="Ravi",AppointmentStartTime=DateTime.Now.AddDays(1),AppointmentEndTime=DateTime.Now.AddDays(1).AddHours(2)}

            };
            this.DataContext = this;
        }

        private void Calendar_DateChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            schedule.MoveToDate( (DateTime)e.NewValue);
        }
    }
    public class CustomAppointment : ScheduleAppointment, INotifyPropertyChanged
    {

        private string _Name;

        public string Name
        {
            get { return _Name; }
            set { _Name = value; OnPropertyChanged("Name"); }
        }

        private string _Locaion;

        public string Locaion
        {
            get { return _Locaion; }
            set { _Locaion = value; OnPropertyChanged("Locaion"); }
        }

        private DateTime _AppointmentStartTime;

        public DateTime AppointmentStartTime
        {
            get { return _AppointmentStartTime; }
            set { _AppointmentStartTime = value; OnPropertyChanged("AppointmentStartTime"); }
        }
        private DateTime _AppointmentEndTime;

        public DateTime AppointmentEndTime
        {
            get { return _AppointmentEndTime; }
            set { _AppointmentEndTime = value; OnPropertyChanged("AppointmentEndTime"); }
        }

        private string _Appointment_ID;
        public string Appointment_ID
        {
            get { return _Appointment_ID; }
            set { _Appointment_ID = value; OnPropertyChanged("Appointment_ID"); }
        }


        public new event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            var eventHandler = this.PropertyChanged;
            if (eventHandler != null)
                eventHandler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
